[Contents] [Prev] [Next] [Index] [Report an Error]

# Managing IPv6 Interfaces

You can manage IPv6 interfaces in the following ways:

- Disable or reenable an IPv6 interface.
  `
  host1(config-if)#no ipv6 enable
  host1(config-if)#ipv6 enable
  `
- Set a baseline for IPv6 interface counters.
  `
  host1#clear ipv6 interface atm 2/0
  `
- Determine reachability within a network.
  `
  host1#ping ipv6 1::1
  host1#traceroute ipv6 1::1
  `

clear ipv6 interface

- Use to set a baseline for counters on a specified IPv6 interface.
- Example
  `
  host1#clear ipv6 interface atm 2/0
  `
- There is no no version.
- See clear ipv6 interface

ipv6 enable

- Use to enable or disable an IPv6 interface at any time.

  | Note: By default, an IPv6 interface is enabled when you first create it.

- Example
  `
  host1(config-if)#ipv6 enable
  `
- Use the no version of this command to disable IPv6 on an interface or a subinterface.
- See ipv6 enable

ping ipv6

- Use to send an ICMP echo request packet to the IPv6 address that you specify.
- Use the source interface keywords to specify a source interface other than the one from which the probe originates.
- Use the source address keywords to specify a source IP address other than the one from which the probe originates.
- You can specify the following options:
  - packetCount—Number of packets to send to the destination IPv6 address. If you specify a zero (0), echo requests packets are sent indefinitely.
  - data-pattern—Sets the type of bits contained in the packet to all ones, all zeros, a random mixture of ones and zeros, or a specific hexadecimal data pattern that can range from 0x0–0xFFFFFFFF. The default is all zeros.
  - data-size—Sets the number of bytes comprising the IPv6 packet and reflected in the IPv6 header in the range 0–64000; the default is 100 bytes
  - extended header attributes—Set the interface type and specifier of a destination address on the router that is connected for external loopback by means of a cable or plug that loops Tx to Rx. The command succeeds only if the specified interface is connected for external loopback and the encapsulation type is ATM, Frame Relay, HDLC, or PPP. The command does not work for Ethernet or VLAN encapsulations.
  - sweep-interval—Specifies the change in the size of subsequent ping packets while sweeping across a range of sizes. For example, you can configure the sweep interval to sweep across the range of packets from 100 bytes to 1000 bytes in increments equal to the sweep interval. By default the router increments packets by one byte; for example, it sends 100, 101, 102, 103, ... 1000. If the sweep interval is 5, the router sends 100, 105, 110, 115, ... 1000.
  - sweep-sizes—Enables you to vary the sizes of the echo packets being sent. This capability is useful for determining the minimum sizes of the MTUs configured on the nodes along the path to the destination address. This reduces packet fragmentation, which contributes to performance problems. The default is not to sweep (all packets are the same size).
  - timeout—Sets the number of seconds to wait for an ICMP echo reply packet before the connection attempt times out
  - hop-limit—Sets the time-to-live hop count in the range 1–255; the default is 255
- The following characters can appear in the display after you issue the ping command:
  - !—Reply received
  - .—Timed out while waiting for a reply
  - ?—Unknown packet type
  - A—Admin unreachable
  - b—Packet too big
  - H—Host unreachable
  - N—Network unreachable
  - P—Port unreachable
  - p—Parameter problem
  - S—Source beyond scope
  - t—Hop limit expired (TTL expired)
- Example
  `
  host1#ping ipv6 1::1
  `
- There is no no version.
- See ping

traceroute ipv6

- Use to discover the routes that router packets follow when traveling to their destination.
- You can specify:
  - Destination IPv6 address
  - Source interface for each of the transmitted packets
  - Source IPv6 address for each of the transmitted packets
  - Maximum number of hops of the trace and a timeout value
  - Size of the IPv6 packets (not the ICMP payload) in the range 0–64000 bytes sent with the traceroute command. Including a size might help locate any MTU problems that exist between your router and a particular device.
  - Hop count in the range 1–255; the default is 32
- You can also force transmission of the packets on a specified interface regardless of what the IPv6 address lookup indicates.
- Example
  `
  host1#traceroute ipv6 1::1 timeout 10
  `
- There is no no version.
- See traceroute

[Contents] [Prev] [Next] [Index] [Report an Error]